ViterbiBase Class Referenceabstract

`#include <Viterbi.h>`

Inheritance diagram for ViterbiBase:

## Public Member Functions

virtual void | encode (const BitVector &in, BitVector &target) const =0
virtual void | decode (const SoftVector &in, BitVector &target)=0
virtual int | getBEC ()
unsigned | applyPoly (uint64_t val, uint64_t poly)
unsigned | applyPoly (uint64_t val, uint64_t poly, unsigned order)

## Member Function Documentation

## applyPoly() [1/2]

unsigned ViterbiBase::applyPoly | ( | uint64_t | val,
|  | uint64_t | poly )

## applyPoly() [2/2]

unsigned ViterbiBase::applyPoly | ( | uint64_t | val,
|  | uint64_t | poly,
|  | unsigned | order )

## decode()

virtual void ViterbiBase::decode | ( | const SoftVector & | in,
|  | BitVector & | target )

pure virtual

Implemented in ViterbiR2O4.

## encode()

virtual void ViterbiBase::encode | ( | const BitVector & | in,
|  | BitVector & | target ) const

pure virtual

Implemented in ViterbiR2O4.

## getBEC()

virtual int ViterbiBase::getBEC | ( |  | ) |

inline virtual

Reimplemented in ViterbiR2O4.

The documentation for this class was generated from the following file:

- Viterbi.h